MGD77LIST(GMTMANSECTION)

NAME
mgd77list - A data-extractor for <legid>.mgd77 files

SYNOPSIS
mgd77list leg-ids [ -Dastartdate ] [ -Dbstopdate ] [ -E ] [ -Fflags ] [ -H ] [ -M[flag] ] [ -N ] [ -Rwest/east/south/north ] [ -Sastartdist ] [ -Sbstopdist ] [ -V ] [ -Wweight ] [ -bo ]

DESCRIPTION
mgd77list reads <legid>.mgd77 files and produces an ASCII [or binary] table. The <legid>.mgd77 files contain track information such as time and position, geophysical observables such as gravity, magnetics, and bathymetry, and control codes and corrections such as Eotvos or diurnal corrections. The user may extract any combination of these parameters plus the computed quantities distance, heading, and velocity (v), and finally weight (see -W). A sub-section can be specified by passing time- or distance-intervals along track or by selecting a region.

leg-ids
    Can be one or more MGD77 8-character cruise identifiers. To give a list of names, use `cat cruises.lis`. The ".mgd77" extension will automatically be appended, if needed. Cruise files will be looked for in the current directory and in all directories listed in $MGD77_DIR/MGD77_paths.txt.

OPTIONS
No space between the option flag and the associated arguments

-Da Do not list data collected before startdate (yyyy-mm-ddT[hh:mm:ss]) [Default is start of cruise].

-Db Do not list data collected after stopdate (yyyy-mm-ddT[hh:mm:ss]). [Default is end of cruise].

-E  Exact match: Only output records that matches all the requested geophysical columns [Default outputs records that matches at least one of the observed columns].

-F  Comma-separated list of parameter abbreviations in the desired output order. Those parameters given in UPPER case must be present in all output records. Unless indicated, the output format is controlled by D_FORMAT. The available abbreviations are:

id  The 8-character cruise ID string

time
    Absolute calendar time in the format dictated by the GMT default settings OUTPUT_DATE_FORMAT and OUTPUT_CLOCK_FORMAT.

lon Longitude in the format dictated by the GMT default OUTPUT_DEGREE_FORMAT.

lat Longitude in the format dictated by the GMT default OUTPUT_DEGREE_FORMAT.

dist
    Along-track distance in km or nautical miles (see -N).

az  Ship azimuth (heading) in degrees.

vel Ship speed in m/s or knots (see -N).

weight
    Weight assigned to this data set (see -W).

twt Two-way travel time (in s).

depth
    Corrected bathymetry (in m).

mtf1
    Total magnetic field intensity from sensor 1 (in nTesla).

mtf2
    Total magnetic field intensity from sensor 2 (in nTesla).

mag Residual magnetic anomaly (in nTesla).

gobs
    Observed gravity (in mGal).

faa Free-air gravity anomaly (in mGal).

ptc Position Type Code (1 = fix, 3 = interpolated, 9 = unspecified).

bcc Bathymetric Correction Code, indicating the procedure used to convert travel time to depth. (01-55 = Matthews' zone - use only if Matthews' zones were used to correct depth, 59 = Matthews' corrections used but zones unspecified in data record, 60 = S. Kuwahara formula, 61 = Wilson formula, 62 = Del Grosso formula, 63 = Carter's tables, 88 = Other, described in header sections, 99 = unspecified).

btc Bathymetric Type Code, indicating how the bathymetry value was obtained (1 = observed, 3 = interpolated, 9 = unspecified).

msens
    Magnetic sensor for residual field (1 = 1st or leading sensor, 2 = 2nd or trailing sensor, 9 = unspecified).

msd Depth (or altitutde) of the magnetic sensor (m, positive below sealevel).

diur
    Magnetic diurnal correction (nTesla).

eot Eotvos correction (mGal).

sln Seismic line number string.

sspn
    Seismic shot point number string.

nqc Navigation quality Code (5 = suspected, by source institution, 6 = suspected, by NGDC, 90 = no problems identified).

    Logical tests may be added for any of the parameters by appending one or more comma-separated instructions of the form parOPvalue, where par is one of the parameters listed above, OP is a logical operator (<. <=, =, !=, >=, >), and value is used in the comparison. Floating point parameters are compared numerically; character parameters are compared lexically (after leading and trailing blanks have been removed). At least one of the tests must be true for the record to be output, expect for tests using UPPER case parameters in which case the test must be true for output to occur. Note that specifying a test does not imply that the corresponding column will be included in the output stream; you must specify the dataflag for that to occur.

-H  Issue a header record with names for each data field.

-M  Issue a multisegment header record with cruise ID for each cruise.

-N  Use nautical units for distance (nautical miles) and speed (knots) [Default is km and m/s].

-Sa Do not list data that are less than startdist km (or nautical miles; see -N) along track from port of departure. [Default is 0].

-Sb Do not list data that are more than stopdist km (or nautical miles; see -N) along track from port of departure. [Default is length of track].

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

-W  Set the weight for these data. Weight output option must be set in -F. This is useful if the data are to be processed with the weighted averaging techniques offered by blockmean, blockmedian, and blockmode.

-bo Selects binary output mode (single precision; append d for double precision) [Default is ASCII]. -H and -M are ignored if -bo is selected.

EXAMPLES
To get a (distance, heading, gravity, bathymetry) listing from 01010047.mgd77, starting at June 3 1971 20:45 and ending at distance = 5000 km, use the following command:

mgd77list 01010047 -Da1971-06-03T20:45 -Sb5000 -Fdist,azim,faa,depth > myfile.d

To make input for blockmean and surface using free-air anomalies from all the cruises listed in the file cruises.lis, but only the data that are inside the specified area, and make the output binary:

mgd77list `cat cruises.lis` -Flon,lat,faa -R-40/-30/25/35 -bo > allgrav.b

To extract the locations of depths exceeding 9000 meter that were not interpolated (btc != 1) from all the cruises listed in the file cruises.lis:

mgd77list `cat cruises.lis` -F"depth,DEPTH>9000,BTC!=1" > really_deep.d

SEE ALSO
mgd77info(GMTMANSECTION), mgd77track(GMTMANSECTION)

REFERENCES
Wessel, P., and W. H. F. Smith, 2004, The Generic Mapping Tools (GMT) version 4 Technical Reference & Cookbook, SOEST/NOAA.
Wessel, P., and W. H. F. Smith, 1998, New, Improved Version of Generic Mapping Tools Released, EOS Trans., AGU, 79 (47), p. 579.
Wessel, P., and W. H. F. Smith, 1995, New Version of the Generic Mapping Tools Released, EOS Trans., AGU, 76 (33), p. 329.
Wessel, P., and W. H. F. Smith, 1995, New Version of the Generic Mapping Tools Released, http: American Geophysical Union.
Wessel, P., and W. H. F. Smith, 1991, Free Software Helps Map and Display Data, EOS Trans., AGU, 72 (41), p. 441.